X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Is FIreFox 12 compatibel with Norton Internet Security?

Posted

I have not updated to FireFox 12.0 because I thought it was not compatible with my Norton Internet Security. I am trying to find out whether this is true. Also, what are the problems associated with upgrading to 12.0 if I have Norton Internet Security.

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.5 r502
  • Adobe PDF Plug-In For Firefox and Netscape 10.1.5
  • Google Update
  • ActiveTouch General Plugin Container Version 105
  • SwiftView ZHP Plug-In for non-IE web browsers Version 9.0.5.2
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • Office Plugin for Netscape Navigator

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.0; rv:7.0.1) Gecko/20100101 Firefox/7.0.1

More Information

philipp
  • Top 10 Contributor
  • Moderator
2046 solutions 8901 answers

hello maria, firefox 18 is the current version & norton is compatible to it, see https://community.norton.com/t5/Norton-Toolbar-Norton-Identity/Firefox-18-Support-for-Norton-Toolbar/td-p/886714

please update firefox as soon as possible, since continuing using outdated versions of firefox affected by numerous known security vulnerabilities will put the integrity of your system and all the personal data on it at risk!

Update Firefox to the latest version

the-edmeister
  • Top 10 Contributor
  • Moderator
3197 solutions 24404 answers

Currently Norton supports Firefox 16.0 and above. Firefox 15.x and older are no longer supported by Norton.